Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActMoodIntent

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActMoodIntent

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActMoodIntent

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Mood Intent', and utility methods for working with them. specDomain: V10199 (C-0-D10196-V16742-V10199-cpt)

See Also:
  `CDAR2Package.getActMoodIntent()`

Field Summary
`static int` | `APT` The 'APT' literal value.
`static ActMoodIntent` | `APT_LITERAL` The 'APT' literal object.
`static int` | `ARQ` The 'ARQ' literal value.
`static ActMoodIntent` | `ARQ_LITERAL` The 'ARQ' literal object.
`static int` | `INT` The 'INT' literal value.
`static ActMoodIntent` | `INT_LITERAL` The 'INT' literal object.
`static int` | `PRMS` The 'PRMS' literal value.
`static ActMoodIntent` | `PRMS_LITERAL` The 'PRMS' literal object.
`static int` | `PRP` The 'PRP' literal value.
`static ActMoodIntent` | `PRP_LITERAL` The 'PRP' literal object.
`static int` | `RQO` The 'RQO' literal value.
`static ActMoodIntent` | `RQO_LITERAL` The 'RQO' literal object.
`static int` | `SLOT` The 'SLOT' literal value.
`static ActMoodIntent` | `SLOT_LITERAL` The 'SLOT' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Mood Intent' enumerators.

Method Summary
`static ActMoodIntent` | `get(int value)` Returns the 'Act Mood Intent' literal with the specified integer value.
`static ActMoodIntent` | `get(java.lang.String literal)` Returns the 'Act Mood Intent' literal with the specified literal value.
`static ActMoodIntent` | `getByName(java.lang.String name)` Returns the 'Act Mood Intent' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INT

    public static final int INT

  The 'INT' literal value.

  If the meaning of 'INT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INT_LITERAL`, Constant Field Values

### APT

    public static final int APT

  The 'APT' literal value.

  If the meaning of 'APT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `APT_LITERAL`, Constant Field Values

### ARQ

    public static final int ARQ

  The 'ARQ' literal value.

  If the meaning of 'ARQ' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ARQ_LITERAL`, Constant Field Values

### PRMS

    public static final int PRMS

  The 'PRMS' literal value.

  If the meaning of 'PRMS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRMS_LITERAL`, Constant Field Values

### PRP

    public static final int PRP

  The 'PRP' literal value.

  If the meaning of 'PRP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRP_LITERAL`, Constant Field Values

### RQO

    public static final int RQO

  The 'RQO' literal value.

  If the meaning of 'RQO' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RQO_LITERAL`, Constant Field Values

### SLOT

    public static final int SLOT

  The 'SLOT' literal value.

  If the meaning of 'SLOT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SLOT_LITERAL`, Constant Field Values

### INT_LITERAL

    public static final ActMoodIntent INT_LITERAL

  The 'INT' literal object.

  See Also:
    `INT`

### APT_LITERAL

    public static final ActMoodIntent APT_LITERAL

  The 'APT' literal object.

  See Also:
    `APT`

### ARQ_LITERAL

    public static final ActMoodIntent ARQ_LITERAL

  The 'ARQ' literal object.

  See Also:
    `ARQ`

### PRMS_LITERAL

    public static final ActMoodIntent PRMS_LITERAL

  The 'PRMS' literal object.

  See Also:
    `PRMS`

### PRP_LITERAL

    public static final ActMoodIntent PRP_LITERAL

  The 'PRP' literal object.

  See Also:
    `PRP`

### RQO_LITERAL

    public static final ActMoodIntent RQO_LITERAL

  The 'RQO' literal object.

  See Also:
    `RQO`

### SLOT_LITERAL

    public static final ActMoodIntent SLOT_LITERAL

  The 'SLOT' literal object.

  See Also:
    `SLOT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Mood Intent' enumerators.

Method Detail

### get

    public static ActMoodIntent get(java.lang.String literal)

  Returns the 'Act Mood Intent' literal with the specified literal value.

### getByName

    public static ActMoodIntent getByName(java.lang.String name)

  Returns the 'Act Mood Intent' literal with the specified name.

### get

    public static ActMoodIntent get(int value)

  Returns the 'Act Mood Intent' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD